From f62592718e7ceec53a04c9c30055c9ba858d596e Mon Sep 17 00:00:00 2001
From: Ryan Pavlik <rpavlik@iastate.edu>
Date: Fri, 4 Nov 2011 14:49:15 -0500
Subject: [PATCH 02/43] os/xsha1.c: Preemptively include <X11/Xwindows.h> on
 Win32.

Avoids duplicate defines if someone includes windows.h before
the specially wrapped X11/Xwindows.h header.
---
 os/xsha1.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

diff --git a/os/xsha1.c b/os/xsha1.c
index 5ea71da..f13dd1f 100644
--- a/os/xsha1.c
+++ b/os/xsha1.c
@@ -64,6 +64,13 @@ int x_sha1_final(void *ctx, unsigned char result[20])
 
 #elif defined(HAVE_SHA1_IN_LIBGCRYPT) /* Use libgcrypt for SHA1 */
 
+# if defined(WIN32) && !defined(__CYGWIN__)
+/*
+ * Must be included before any other header includes windows.h, to avoid
+ * conflicting definitions.
+ */
+#  include <X11/Xwindows.h>
+# endif
 # include <gcrypt.h>
 
 void *x_sha1_init(void)
-- 
1.7.7.1

